dependencyManagement {
  versions {
    poiVersion: "5.2.3"
  }
  dependencies: [
    "com.xebialabs.deployit:test-data:$xlDeployVersion"
    "io.circe:circe-yaml_${scalaVersion}:1.15.0"
    "io.projectreactor.netty:reactor-netty:1.1.12"
    "org.hashids:hashids:1.0.3"
    "org.scala-graph:graph-constrained_${scalaVersion}:1.13.2"
    {
      group: "com.xebialabs.deployit.ascode"
      version: "$xlDeployVersion"
      artifacts: [
        "xld-devops-as-code"
      ]
    }
    {
      group: "org.apache.poi"
      version: "$poiVersion"
      artifacts: [
        "poi-ooxml"
        "poi"
      ]
    }
    {
      group: "com.xebialabs.deployit"
      version: "$xlDeployVersion"
      artifacts: [
        "server-api"
        "server-api-impl"
      ]
    }
  ]

  blacklist: [
    "org.apache.pekko:pekko-persistence-experimental_${scalaVersion}"
    "org.apache.pekko:pekko-stream-experimental_${scalaVersion}"
    "com.sun.xml.bind:jaxb-impl"
    "com.sun.xml.stream:sjsxp"
    "org.slf4j:slf4j-jdk14"
    "org.slf4j:slf4j-nop"
    //this is used by resteasy-core but the latest version of hibernate-envers
    //requires the new version of jandex
    "org.jboss:jandex"
  ]
}
